package com.railway.business.baseinfo.mapper;

import com.github.pagehelper.Page;
import com.railway.business.baseinfo.domain.BusJcxc;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
* 基础数据-交叉线岔
* @author zcf
* @date 2021/10/26
*/
@Mapper
@Repository
public interface BusJcxcMapper {

    /**
    * 新增
    */
    int insert(BusJcxc busJcxc);

    /**
    * 删除
    */
    int delete(@Param("id") String id);

    /**
    * 更新
    */
    int update(BusJcxc busJcxc);

    /**
    * 获取单个
    */
    BusJcxc getInfo(@Param("id") String id);

    /**
    * 查询列表
    */
    Page<BusJcxc> getList(BusJcxc busJcxc);

}
